FUNCTION::ABORT(3stap)

NAME
function::abort - Immediately shutting down probing script.

SYNOPSIS

    abort()

ARGUMENTS

None

DESCRIPTION

This is similar to exit but immediately aborts the current probe handler instead of waiting for its completion. Probe handlers already running on *other* CPU cores, however, will still continue to their completion. Unlike error, this function call cannot be caught by 'try ... catch'.

SEE ALSO
tapset::logging(3stap)